phpLDAPadmin

# Class: ObjectClass

Source Location: /templates/3rdParty/pla/lib/schema_functions.php

### Class Overview

    SchemaItem
       |
       --ObjectClass

Represents an LDAP objectClass

### Methods

- __construct
- addChildObjectClass
- getChildObjectClasses
- getForceMayAttrs
- getMayAttrNames
- getMayAttrs
- getMustAttrNames
- getMustAttrs
- getParents
- getSupClasses
- getType
- isForceMay
- isRelated
- isStructural

### Inherited Variables

#### Class: SchemaItem

SchemaItem::$description
SchemaItem::$name

### Inherited Methods

#### Class: SchemaItem

SchemaItem::getDescription()
SchemaItem::getIsObsolete()
  Gets whether this objectClass is flagged as obsolete by the LDAP server.
SchemaItem::getName()
  Return the objects name.
SchemaItem::getOID()
SchemaItem::setDescription()
SchemaItem::setOID()

### Class Details

[line 87]
Represents an LDAP objectClass
[ Top ]

### Class Methods

### constructor __construct [line 108]

`ObjectClass __construct( $class, $server)`

Creates a new ObjectClass object given a raw LDAP objectClass string.

#### Tags:

access: | public

#### Parameters:

| $class |
| $server |

[ Top ]

### method addChildObjectClass [line 518]

`boolean addChildObjectClass( String $name)`

Adds an objectClass to the list of objectClasses that inherit from this objectClass.

#### Tags:

return: | Returns true on success or false on failure (objectclass already existed for example)
access: | public

#### Parameters:

String | $name | The name of the objectClass to add

[ Top ]

### method getChildObjectClasses [line 536]

`Array getChildObjectClasses( )`

Returns the array of objectClass names which inherit from this objectClass.

#### Tags:

return: | Names of objectClasses which inherit from this objectClass.
access: | public

[ Top ]

### method getForceMayAttrs [line 450]

`void getForceMayAttrs( )`

#### Tags:

access: | public

[ Top ]

### method getMayAttrNames [line 499]

`array getMayAttrNames( [array $parents = false])`

Gets an array of attribute names (strings) that entries of this ObjectClass must define.

This differs from getMayAttrs in that it returns an array of strings rather than array of AttributeType objects

#### Tags:

return: | The array of allowed attribute names (strings).
see: | ObjectClass::getMustAttrNames()
see: | ObjectClass::getMayAttrs()
see: | ObjectClass::getMustAttrs()
access: | public

#### Parameters:

array | $parents | An array of ObjectClass objects to use when traversing the inheritance tree. This presents some what of a bootstrapping problem as we must fetch all objectClasses to determine through inheritance which attributes this objectClass provides.

[ Top ]

### method getMayAttrs [line 423]

`array getMayAttrs( [array $parents = false])`

Gets an array of AttributeType objects that entries of this ObjectClass may define.

This differs from getMayAttrNames in that it returns an array of AttributeType objects

#### Tags:

return: | The array of allowed AttributeType objects.
see: | AttributeType
see: | ObjectClass::getMustAttrNames()
see: | ObjectClass::getMayAttrNames()
see: | ObjectClass::getMustAttrs()
access: | public

#### Parameters:

array | $parents | An array of ObjectClass objects to use when traversing the inheritance tree. This presents some what of a bootstrapping problem as we must fetch all objectClasses to determine through inheritance which attributes this objectClass provides.

[ Top ]

### method getMustAttrNames [line 472]

`array getMustAttrNames( [array $parents = false])`

Gets an array of attribute names (strings) that entries of this ObjectClass must define.

This differs from getMustAttrs in that it returns an array of strings rather than array of AttributeType objects

#### Tags:

return: | The array of allowed attribute names (strings).
see: | ObjectClass::getMayAttrNames()
see: | ObjectClass::getMayAttrs()
see: | ObjectClass::getMustAttrs()
access: | public

#### Parameters:

array | $parents | An array of ObjectClass objects to use when traversing the inheritance tree. This presents some what of a bootstrapping problem as we must fetch all objectClasses to determine through inheritance which attributes this objectClass provides.

[ Top ]

### method getMustAttrs [line 381]

`array getMustAttrs( [array $parents = false])`

Gets an array of AttributeType objects that entries of this ObjectClass must define.

This differs from getMustAttrNames in that it returns an array of AttributeType objects

#### Tags:

return: | The array of required AttributeType objects.
see: | ObjectClass::getMayAttrNames()
see: | ObjectClass::getMayAttrs()
see: | ObjectClass::getMustAttrNames()
access: | public

#### Parameters:

array | $parents | An array of ObjectClass objects to use when traversing the inheritance tree. This presents some what of a bootstrapping problem as we must fetch all objectClasses to determine through inheritance which attributes this objectClass requires.

[ Top ]

### method getParents [line 345]

`void getParents( )`

This will return all our parent ObjectClass Objects

#### Tags:

access: | public

[ Top ]

### method getSupClasses [line 548]

`array getSupClasses( )`

Gets the objectClass names from which this objectClass inherits.

#### Tags:

return: | An array of objectClass names (strings)
access: | public

[ Top ]

### method getType [line 583]

`void getType( )`

Gets the type of this objectClass: STRUCTURAL, ABSTRACT, or AUXILIARY.

#### Tags:

access: | public

[ Top ]

### method isForceMay [line 626]

`void isForceMay( $attr)`

Determine if an array is listed in the force_may attrs

#### Tags:

access: | public

#### Parameters:

| $attr |

[ Top ]

### method isRelated [line 560]

`void isRelated( array $oclass)`

Return if this objectClass is related to $oclass

#### Tags:

access: | public

#### Parameters:

array | $oclass | ObjectClasses that this attribute may be related to

[ Top ]

### method isStructural [line 637]

`void isStructural( )`

#### Tags:

access: | public

[ Top ]

Documentation generated on Tue, 22 Nov 2011 16:30:09 +0100 by phpDocumentor 1.4.1